@ECHO OFF

REM Stop the Pharos Systems Com Task Master service
sc stop "Pharos Systems ComTaskMaster"

REM Create the Directory - will recieve an error if it exists
mkdir "C:\Program Files (x86)\PharosSystems\Core"

REM Copy the file to the directory - will recieve error if exists
copy /Y ctskmstr.exe "C:\Program Files (x86)\PharosSystems\Core\ctskmstr.exe"

REM Change the working directory and run the unregserver command
chdir "C:\Program Files (x86)\PharosSystems\Core"
ctskmstr.exe -unregserver

REM Added a delay so that I can go back and remove the files/folders
REM in testing I have seenwhere this fails quickly but if I wait a few seconds it removes them
ECHO **Please wait while files are removed...
timeout /T 5 /NOBREAK

REM Move out of the working directory then delete the files
chdir \
del "C:\Program Files (x86)\Pharos\*" /S /Q
rmdir "C:\Program Files (x86)\Pharos" /S /Q
del "C:\Program Files (x86)\PharosSystems\Core\*" /S /Q
rmdir "C:\Program Files (x86)\PharosSystems" /S /Q

REM Remove 64-bit registry keys
reg delete HKLM\SOFTWARE\Wow6432Node\Pharos /f
reg delete HKLM\SOFTWARE\Wow6432Node\PharosSystems /f

REM Remove 32-bit registry key
reg delete HKLM\SOFTWARE\Pharos /f
reg delete HKLM\SOFTWARE\PharosSystems /f

REM Remove the PharosPopup registry key
reg delete "HKLM\SYSTEM\CurrentControlSet\Control\Print\Monitors\Pharos Systems Popup Port Monitor" /f

REM Restart the print spooler after deleting the port from the registry
ECHO **Please wait while the Print Spooler is restarted...
net stop spooler
net start spooler